## fftrate 1.6.3

=== Makefile ===

include src/lib/makedef.mk

all: libs apps tools apps
	( cd src/tests; $(MAKE) -f $(MAKEF) )

libs:
	( cd src/lib; $(MAKE) -f $(MAKEF) )

apps:
	( cd src/apps; $(MAKE) -f $(MAKEF) )

tools:
	( cd src/tools; $(MAKE) -f $(MAKEF) )

clean:
	( cd src/lib; $(MAKE) -f $(MAKEF) clean )
	( cd src/apps; $(MAKE) -f $(MAKEF) clean )
	( cd src/tests; $(MAKE) -f $(MAKEF) clean )
	( cd src/tools; $(MAKE) -f $(MAKEF) clean )

	rm -rf build-*-*-*

purge: clean
	rm -rf bin
	rm -rf lib

=== packets/Makefile ===
DEBD   = debian
USRD   = usr


ifeq ($(DSTD),)
PLUGD  = $(USRD)/lib/$(shell uname -i)-linux-gnu/alsa-lib
else
PLUGD  = $(USRD)/lib/$(DSTD)/alsa-lib
endif


all:
	( cd ../; $(MAKE) libs tools apps )
	mkdir -p $(PLUGD)
	cp ../bin/*.so $(PLUGD)

purge: clean
	( cd ../; $(MAKE) purge )
	rm -rf $(USRD)

clean:
	( cd $(DEBD); find -mindepth 1 -maxdepth 1 -type d | xargs rm -rf )
	rm -rf $(DEBD)/tmp
	rm -rf $(DEBD)/*-utils
	rm -f $(DEBD)/*substvars
	rm -f $(DEBD)/*.log
	rm -f $(DEBD)/files
	rm -f build-stamp

=== debian/changelog ===
fftrate (1.6.3-1) experimental; urgency=low

  * Debian packaging.
  * (upstream changelog in packets/debian/changelog)

 -- Ralph Ronnquist <rrq@rrq.au>  Sun, 16 Nov 2025 14:34:45 +1100

=== debian/control ===
Source: fftrate
Section: audio
Priority: optional
Maintainer: Ralph Ronnquist <rrq@rrq.au>
Origin: Devuan
Build-Depends: debhelper-compat (= 13), libasound2-dev (>= 1.0.22)
Standards-Version: 4.7.0
Homepage: https://github.com/PetrovSE/fftrate
Rules-Requires-Root: no
Vcs-Browser: https://git.devuan.org/devuan/fftrate/src/branch/debian
Vcs-Git: https://git.devuan.org/devuan/fftrate.git -b debian

Package: libasound2-plugin-fftrate
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libasound2, libasound2-plugins
Description: ALSA library additional plugin
 This package contains plugin for the ALSA library that are
 not included in the main libasound2 package.
 .
 The following plugins are included:
   - fftrate: FFT based rate converter
 .
 ALSA is the Advanced Linux Sound Architecture.
